Subject: Re: [PATCH v2 net] net: bridge: switchdev: don't notify FDB entries with "master dynamic"

From: Hans Schultz <[email-masked]>
Date: Mon, 24 Apr 2023 17:33:44 +0200

On Mon, Apr 24, 2023 at 15:26, Vladimir Oltean <[email-masked]> wrote:
> On Sun, Apr 23, 2023 at 10:47:15AM +0200, Hans Schultz wrote:
>> I do not understand this patch. It seems to me that it basically blocks
>> any future use of dynamic fdb entries from userspace towards drivers.
>> 
>> I would have expected that something would be done in the DSA layer,
>> where (switchcore) drivers would be able to set some flags to indicate
>> which features are supported by the driver, including non-static
>> fdb entries. But as the placement here is earlier in the datapath from
>> userspace towards drivers it's not possible to do any such thing in the
>> DSA layer wrt non-static fdb entries.
>
> As explained too many times already in the thread here:
> https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/
> the plan is:

Ahh yes thanks, I see the comment you wrote on march the 27th.